Name:           osmo
Version:        0.4.4
Release:        %mkrel 1
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office 
Url:            http://clayo.org/osmo
Source0:        http://downloads.sourceforge.net/osmo-pim/%{name}-%{version}.tar.xz
#----------------------------------------------
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel
BuildRequires: lib64gringotts-devel
BuildRequires: lib64gtk+2.0_0-devel
BuildRequires: lib64gtkspell-devel
BuildRequires: lib64notify-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64xml2-devel
BuildRequires: pkgconfig(webkit2gtk-4.0)
#----------------------------------------------


%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.
Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.
It is independent of any particular desktop environment. 

%prep
%setup -q

%build
%configure2_5x --enable-reproducible LIBICAL_CFLAGS=-I/usr/include/libical 
%make

%install
rm -rf %buildroot
%makeinstall_std

desktop-file-edit \
--add-category='X-MandrivaLinux-Office-Accessories' \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps
%{_iconsdir}/hicolor
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*

%post
%update_menus

%postun
%clean_menus


%changelog
* Fri Jul 17 2020 tex - 0.4.4-1pclos2020
- new version

* Tue May 19 2020 tex - 0.4.2-2pclos2020
- rebuild against updates

* Tue Oct 07 2019 tex - 0.4.2-1pclos2019
- update

* Sat Jan 02 2016 pp <pp> 0.2.14-1pclos2016
- update

* Fri Feb 06 2015 bb <bb> 0.2.12-1pclos2015
- update
